
From: "Zhang, Yanmin" <yanmin.zhang@intel.com>

Kernel 2.6 has an ide proc destroy error. Run #modprobe ide-core and
#rmmod ide-core, then kernel will dump stack information like below.

**********Log******************
Badness in remove_proc_entry at fs/proc/generic.c:693

Call Trace:
 [<a0000001000117e0>] show_stack+0x80/0xa0
                                sp=3De0000003e05dfbe0 =
bsp=3De0000003e05d0ea8
 [<a0000001000120b0>] dump_stack+0x30/0x60
                                sp=3De0000003e05dfdb0 =
bsp=3De0000003e05d0e90
 [<a000000100183090>] remove_proc_entry+0x530/0x540
                                sp=3De0000003e05dfdb0 =
bsp=3De0000003e05d0e20
 [<a000000221cbd280>] proc_ide_destroy+0x120/0x140 [ide_core]
                                sp=3De0000003e05dfdc0 =
bsp=3De0000003e05d0df0
 [<a000000221ca65f0>] cleanup_module+0x50/0xa0 [ide_core]
                                sp=3De0000003e05dfdc0 =
bsp=3De0000003e05d0dd0
 [<a0000001000a9e10>] sys_delete_module+0x390/0x580
                                sp=3De0000003e05dfdc0 =
bsp=3De0000003e05d0d50
 [<a00000010000af40>] ia64_ret_from_syscall+0x0/0x20
                                sp=3De0000003e05dfe30 =
bsp=3De0000003e05d0d50
 [<a000000000010640>] _stext+0xffffffff00010640/0x400
                                sp=3De0000003e05e0000 =
bsp=3De0000003e05d0d50

Signed-off-by: Zhang Yanmin <yanmin.zhang@intel.com>
Cc: Bartlomiej Zolnierkiewicz <B.Zolnierkiewicz@elka.pw.edu.pl>
Cc: Greg KH <greg@kroah.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/ide/ide-proc.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/ide/ide-proc.c~ide-proc-destroy-error drivers/ide/ide-proc.c
--- 25/drivers/ide/ide-proc.c~ide-proc-destroy-error	Mon May  9 16:27:03 2005
+++ 25-akpm/drivers/ide/ide-proc.c	Mon May  9 16:27:03 2005
@@ -516,6 +516,6 @@ void proc_ide_create(void)
 
 void proc_ide_destroy(void)
 {
-	remove_proc_entry("ide/drivers", proc_ide_root);
+	remove_proc_entry("drivers", proc_ide_root);
 	remove_proc_entry("ide", NULL);
 }
_
